RIOCP(1)

NAME
riocp - program to transfer files to and from the Rio Karma

SYNOPSIS
riocp [options] files_to_upload...

DESCRIPTION
This manual page documents briefly the riocp command.

riocp is a program that searches for and lists files on the Rio Karma. It also allows the user to transfer files to and from the device.

OPTIONS
A summary of options is included below.

-a {path|hostname|IP-ADDR}
    Set access location of Rio Karma. Can be either a hostname or IP address for network access; or a path in the filesystem where the Rio Karma is mounted for USB access.

-b  Get database by scanning *1 files, instead of smalldb.

-c charset
    Set codeset to use when communicating with the Rio Karma.

-D dummyName
    Use dummyName for missing or empty props. Default if not set is '-UnKnown-'.

-d  Download the files searched for with "-s".

-e set1 set2 set3
    Edit the download pathname using set1 and set2 as in unix tr. If set3 is empty (""): just translate as in tr; otherwise, further delete all chars given in set3.

-F  Use filenames in ~/.openrio/.../__libkarma_fdb__.gz for download.

-f  Force the files to be written even if they are dupes.

-H  Download files listed in ~/.openrio/.../__libkarma_fdb__.gz that match the current hostname.

-h  Show summary of options.

-l props
    Like -u for type='playlist'. The default is to use whatever is set for -u.

-p passWord
    Password for accessing the Rio Karma via the network.

-q  Squeeze repeated chars (given in "set2" of -e), after the optional delete.

-R  Same as -r, but do not ask for confirmation.

-r  Remove these files (after the optional download).

-s searchString
    Search karma DB according to searchString. searchString syntax: property=searchStr[{,|+}...], where:

    - searchStr is a substring of the property value (see ~/.openrio/*/fileinfo for possible property names)

    - ',' and '+' mean AND and OR, respectively

    - each AND/OR operator is applied to the previous search results

-U fdb.gz
    Upload files listed in the given fdb.gz file.

-u props
    Use properties to build download path for type=tune. "props" are formating strings (as in "printf"), where:

    %a = Artist

    %c = Codec

    %f = fid

    %g = Genre

    %n = Track Number

    %s = Source

    %T = Type

    %t = Title

    The default is "%f.%c".

-w  Don't rewrite the smalldb database file.

-x props
    Like -u for type='taxi'. The default is to use whatever is set for -u.

SEE ALSO
printf(3), tr(1).

AUTHOR
riocp was written by Frank Zschockelt <libkarma@freakysoft.de>.

This manual page was written by Joe Nahmias <jello@debian.org>, for the Debian project (but may be used by others).